Subject: Re: [PATCH v3 04/12] l2tp: Add ppp device name to L2TP ppp session data

From: James Chapman <[email-masked]>
Date: Thu, 01 Apr 2010 09:55:29 +0100

Eric Dumazet wrote:
> Le jeudi 01 avril 2010 à 08:19 +0100, James Chapman a écrit :
> 
>> There might be thousands of L2TP sessions in some setups. Populating
>> sysfs with a link for each of those sessions isn't practical. The
>> existing /proc file dumps its info as a single text file for this
>> reason. I'd also like to provide the device name in the session netlink
>> message, which is the interface used by l2tp userspace, so I need a
>> kernel API to retrieve the device name from ppp.
>>
>> I like the suggestion of using debugfs for access to driver debug info
>> though. I propose leaving the /proc file for L2TPv2 only, removing the
>> L2TPv3 data that I added to the proc file in this patch series, to
>> retain compatibility with the existing driver. This would show only
>> L2TPv2 sessions and tunnels. For new driver functionality (L2TPv3 etc),
>> use debugfs. The debugfs files would dump lists in a similar form to the
>> current code, listing all tunnels (L2TPv2 and L2TPv3) in a single file.
>> Using debugfs gives more flexibility for adding additional info later,
>> as required. How does that sound?
>>
> 
> debugfs ? I dont get it, sorry.
> 
> Why not using netlink, as most iproute2 utilities do ?

I am using netlink. This is only for providing extra (convenience) debug
info from the kernel drivers. It's something I can easily ask users to
do if they have a problem.

-- 
James Chapman
Katalix Systems Ltd
http://www.katalix.com
Catalysts for your Embedded Linux software development